MPI_Attr_get(3)

NAME
MPI_Attr_get - Retrieves attribute value by key

SYNOPSIS
int MPI_Attr_get(MPI_Comm comm, int keyval, void *attribute_val, int *flag)

INPUT PARAMETERS
comm
    - communicator to which attribute is attached (handle)
keyval
    - key value (integer)

OUTPUT PARAMETERS
attribute_val
    - attribute value, unless flag = false (None)
flag
    - true if an attribute value was extracted; false if no attribute is associated with the key (logical)

DEPRECATED FUNCTION
The current MPI standard defines this routine as deprecated. The routine may continue to be used, but new code should use the replacement routine. The replacement for this routine is MPI_Comm_get_attr .

THREAD AND INTERRUPT SAFETY
This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as malloc or other non-MPICH runtime routines that are themselves not interrupt-safe.

ERRORS
All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Comm_set_errhandler (for communicators), MPI_File_set_errhandler (for files), and MPI_Win_set_errhandler (for RMA windows). The MPI-1 routine MPI_Errhandler_set may be used but its use is deprecated. The predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.
MPI_SUCCESS
    - No error; MPI routine completed successfully.
MPI_ERR_OTHER
    - Other error; use MPI_Error_string to get more information about this error code.

SEE ALSO
MPI_Attr_put, MPI_Keyval_create, MPI_Attr_delete, MPI_Comm_get_attr